/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	ファイル名	：	/Mul_light/Kernel/DTM/IDT.h
	概要		：	割り込みディスクリプタ・テーブルヘッダ
	詳細		：
	責任者		：	佐合 秀昭
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/

#pragma	once


/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	インクルード
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
#include	"DT.h"



/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	クラス・構造体定義
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
/*******************************************************************************
	IDTクラス
*******************************************************************************/
class	IDT : public DTBase
{
//メソッド
public:
	void	Init( void );

	//ディスクリプタの登録
	//ゲート・ディスクリプタ
	s4		SetGate( GateInfo GateInfo, u1* Pu1_Number = NULL );					//番号自動設定
	s4		SetGate( u1 u1_Number, GateInfo GateInfo, u1* Pu1_Number = NULL );	//番号手動設定

	//ディスクリプタ情報取得
	GateInfo	GetGateInfo( u1 u1_Number );		//ゲート情報取得

	//ディスクリプタの削除
	s4		ClearDescriptor( u1 u1_Number );
};



/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	End of file
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
