/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	ファイル名	：	/Mul_light/Kernel/EntryPoint.cpp
	概要		：	エントリポイント
	詳細		：	カーネルの入り口です。
					ブートローダによって、メモリの0x0010 0000〜0x0014 0000に読み込まれ、
					0x0010 0000へジャンプしてきます。
	責任者		：	佐合 秀昭
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/



/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	インクルード
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
#include	"Common.h"
#include	"Main.h"



/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	エントリポイント
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
/*******************************************************************************
	概要	：	エントリポイント
	説明	：	カーネルプログラムの入り口です。
				ブートローダからジャンプ後、この関数から開始します。
				アドレスは0x0010 0000(1MiB)です。
	Include	：	-
	引数	：	void
	戻り値	：	void
*******************************************************************************/
void	EntyrPoint( void )
{
	Main	Main;

	Main.Init();
}



/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	End of file
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/

