/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	ファイル名	：	/Mul_light/Kernel/DM/FS.cpp
	概要		：	ファイルシステムクラス
	詳細		：	すべてのファイルシステムが継承するベースクラスです。
	責任者		：	佐合 秀昭
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/



/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	インクルード
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
#include	"Common.h"
#include	"FS.h"



/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	ファイルシステムクラス：パブリックメソッド
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
/*******************************************************************************
	概要	：	ファイルシステムクラスのメモリ領域ID取得
	説明	：
	Include	：	FS.h
	引数	：	void
	戻り値	：	ui		ファイルシステムクラスのメモリ領域ID
*******************************************************************************/
ui		FS::GetMemID( void )
{
	return Mui_FSMemID;
}


/*******************************************************************************
	概要	：	ファイルシステムの種類取得
	説明	：
	Include	：	FS.h
	引数	：	void
	戻り値	：	FST::FSType		ファイルシステムの種類
*******************************************************************************/
FST::FSType	FS::GetFSType( void )
{
	return M_FSType;
}



/*■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	End of file
■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■*/
